P. 1
Manual+Freecad

Manual+Freecad

|Views: 39|Likes:
Publicado porMiquel Garcia

More info:

Published by: Miquel Garcia on Jul 21, 2013
Copyright:Attribution Non-commercial

Availability:

Read on Scribd mobile: iPhone, iPad and Android.
download as PDF, TXT or read online from Scribd
See more
See less

02/18/2014

pdf

text

original

MANUAL FREECAD

1.1 Modo de empleo 1.2 Contribuir 2 Introducción 2.1 Características generales 2.1.1 Base de aplicación 2.1.2 Documento estructura 2.1.3 Interfaz de usuario 2.2 Aplicación características específicas 2.2.1 Las mallas 2.2.2 2D de Redacción 2.2.3 CAD 2.2.4 Raytracing 2.2.5 Dibujo 2.2.6 CAM 3 Instalación 3.1: Instalación en Windows 3.1.1 Instalación sencilla 3.1.2 Instalación de la línea de comandos 3.1.2.1-Instalación interactiva para no 3.1.2.2 interfaz de usuario limitada 3.1.2.3 Objetivo de la guía 3.1.2.4 Instalación para todos los usuarios 3.1.2.5 Selección de características 3.1.3 Desinstalación 3.1.4 instalación administrativa 3.1.5 Publicidad 3.1.6 Instalación automática de un grupo de máquinas 3.1.7 Instalación en Linux usando Crossover Office 3.2 Instalación en Unix / Linux 3.2.1 Instalación en sistemas Debian / Ubuntu 3.2.2 Instalación en otros sistemas Linux / Unix 3.3 Instalación en Mac 3.3.1 Instalación sencilla 3.3.2 Desinstalación 4 Descubrir FreeCAD 4.1 Introducción 4.2 Instalación 4.3 Exploración de FreeCAD 4.3.1 Navegación en el espacio 3D 4.4 2D de Redacción 4.4.1 herramientas de Redacción 4.4.2 Los objetos de dibujo 4.4.3 Modificación de objetos 4.5 Creación de piezas en 3D 4.5.1 Primitivas 4.5.2 Modificación de objetos

4.6 Exportación de dibujos 2D 4.7 Exportar a renderizadores externos 4.8 Secuencias de comandos 5 Trabajar con FreeCAD 5.1 navegación 3D 5.2 Selección de objetos 5.3 Manipulación de Objetos 5.4 Manipulación de Objetos 5.5 El documento FreeCAD 5.6 Aplicación y la interfaz de usuario 5.7 Secuencias de comandos 5.8 Configuración de las preferencias del usuario 5.9 Personalización de la interfaz 5.10 Propiedades de los objetos 6 Trabajando con bancos de trabajo 6.1 El banco de trabajo de malla 6.1.1 Con el módulo de acoplamiento 6.2 La Parte banco de trabajo 6.2.1 Las herramientas 6.2.2 Primitivas 6.2.3 Modificación de objetos 6.2.4 Operaciones booleanas 6.2.5 Explicar los conceptos 6.2.6 Secuencias de comandos 6.2.7 Ejemplos 6.3 El banco de trabajo de dibujo 6.3.1 Herramientas de interfaz gráfica de usuario 6.3.2 Secuencias de comandos 6.3.3 Ejemplo simple 6.3.4 La forma paramétrica 6.3.5 Acceso a las partes y piezas 6.3.6 Plantillas 6.4 El trazado de rayos banco de trabajo 6.4.1 Herramientas de interfaz gráfica de usuario 6.4.2 Exportar una vista 6.4.3 Secuencias de comandos 6.4.4 Enlaces 6.5 El banco de trabajo de la imagen 6.6 El proyecto de banco de trabajo 6.6.1 Tutorial 6.6.2 Inicio rápido 6.6.3 Importación y exportación 6.6.4 herramientas de Redacción 6.6.5 Los objetos de dibujo 6.6.6 Modificación de objetos 6.6.7 Los comportamientos más habituales 6.6.8 API 7 secuencias de comandos y macros 7.1 Macros 7.1.1 ¿Cómo funciona? 7.1.2 Ejemplo

7.1.3 Personalización 7.1.4 Creación de macros sin grabar 7.1.5 Macros repositorio 7.2 Introducción a Python 7.2.1 El intérprete 7.2.2 Variables 7.2.3 Números 7.2.4 Listas 7.2.5 Sangría 7.2.6 Funciones 7.2.7 Módulos 7.2.8 A partir de FreeCAD 7.3 Python scripting en FreeCAD 7.3.1 El intérprete Python 7.3.2 Ayuda 7.4 integrado en los módulos 7.4.1 La aplicación y los objetos Gui 7.4.2 El Documento de objetos 7.4.3 Introducción 7.4.4 Creación y carga 7.4.5 Modelado 7.4.6 El examen y comprobación 7.4.7 Escribir sus propios algoritmos 7.4.8 Exportación 7.4.9 Gui cosas relacionadas 7.4.10 Las probabilidades y termina 7.5 Introducción 7.5.1 Diagrama de clase 7.5.2 Geometría 7.5.3 Topología 7.6 Creación de tipos básicos 7.6.1 Breve descripción 7.6.2 Las explicaciones detalladas 7.6.2.1 ¿Cómo crear un vértice? 7.6.2.2 ¿Cómo crear un borde? 7.6.2.3 ¿Cómo crear un hilo? 7.6.2.4 Cómo crear una cara? 7.6.2.5 ¿Cómo crear un círculo? 7.6.2.6 ¿Cómo crear un arco a lo largo de los puntos? 7.6.2.7 ¿Cómo crear un polígono o una línea a lo largo de los puntos? 7.6.2.8 ¿Cómo crear un avión? 7.6.2.9 Cómo crear una elipse? 7.6.2.10 ¿Cómo crear un toro? 7.6.2.11 ¿Cómo hacer una caja o paralelepípedo? 7.6.2.12 ¿Cómo hacer una esfera? 7.6.2.13 ¿Cómo hacer un cilindro? 7.6.2.14 ¿Cómo hacer un cono? 7.6.3 Operaciones booleanas 7.6.3.1 Cómo cortar una forma de otros? 7.6.3.2 Cómo llegar común entre dos formas? 7.6.3.3 Cómo fusionar dos formas?

7.6.3.4 Cómo sección de un sólido con una forma determinada? 7.7 Exploración de las formas 7.7.1 Los bordes Explorando 7.8 Uso de la selección 7.9 Ejemplos 7.9.1 Creación de topología simple 7.9.1.1 Creación de Geometría 7.9.1.2 Arco 7.9.1.3 Línea 7.9.1.4 Todo junto 7.9.1.5 Hacer un prisma 7.9.2 La OCC botella 7.9.2.1 La secuencia de comandos completa 7.9.2.2 Explicación detallada 7.10 Cargar y Guardar 7.11 La conversión de objetos en la parte A mallas 7.12 Conversión de mallas en las que los objetos de pieza 7.13 El acceso y la modificación del Scenegraph 7.14 Utilización de los mecanismos de devolución de llamada 7.15 Documentación 7.16 Ejemplo básico 7.17 propiedades disponibles 7.18 Otro ejemplo más complejo 7.19 Realización de objetos seleccionables 7.20 Trabajar con formas simples 7.20.1 Uso de FreeCAD sin interfaz gráfica de usuario 7.20.2 Uso de FreeCAD con interfaz gráfica de usuario 7.20.3 Un típico archivo InitGui.py 7.20.4 Un archivo de módulo típico 7.20.5 Importar un nuevo tipo de archivo 7.20.6 Añadir una línea de 7.20.7 Añadir un polígono 7.20.8 Añadir y eliminar un objeto a un grupo 7.20.9 Añadir una malla 7.20.10 Cómo añadir un arco o un círculo 7.20.11 El acceso y la representación cambio de un objeto 7.20.12 Observando los eventos del ratón en el visor 3D a través de Python 7.20.13 Manipular el Scenegraph en Python 7.20.14 Cómo agregar y eliminar objetos desde / hasta el Scenegraph 7.20.15 Cómo añadir widgets personalizados a la interfaz 7.21 El script principal 7.22 Explicación detallada 7.23 Pruebas y Uso de la secuencia de comandos 7.24 El registro de la secuencia de comandos en la interfaz de FreeCAD 7.25 ¿Quieres más? 7.26 El diseño del cuadro de diálogo 7.27 Conversión de nuestro diálogo con python 7.28 Hacer que nuestro diálogo hacer algo 7.29 El guión completo 8 Desarrollo de aplicaciones para FreeCAD 8.1 Declaración del conservador

8.2 Los certificados usados 8.3 Impacto de las licencias 8.3.1 Los usuarios privados 8.3.2 Profesional usuarios 8.3.3 desarrolladores de fuente abierta 8.3.4 Los desarrolladores profesionales 8.4 Información errores 8.5 Solicitud de características 8.6 Envío de parches 8.7 El "viejo" tracker SourceForge (obsoleto) 8.7.1 ¿Dónde encontrar? 8.7.2 Cuándo usar? 8.7.3 Errores 8.7.4 Solicitudes de prestación 8.7.5 Las solicitudes de apoyo 8.7.6 Parches Nueva 8.7.7 Requisitos 8.7.8 Edificio de cAsegúrese 8.7.8.1 El cambio a cAsegúrese 8.7.8.2 Configurar el proceso de generación 8.7.8.3 Opciones para el Proceso de Construcción 8.7.8.4 construir la línea de comandos Construcción de las versiones anteriores 8.7.9 8.7.9.1 Utilización LibPack 8.7.9.1.1 directorio de instalación en Visual Studio 8.7.9.1.1.1 Incluye 8.7.9.1.1.2 Librerias 8.7.9.1.1.3 ejecutables 8.7.9.1.2 Python necesarios VC8 8.7.9.1.3 especiales para 8.7.9.2 Compilación 8.7.9.3 Después de compilar 8.7.9.4 cosas adicionales 8.7.10 Obtención de la fuente 8.7.11 Requisitos previos 8.7.11.1 de Debian / Ubuntu y distribuciones más recientes 8.7.11.2 Fedora 8.7.11.3 y no la distribución convencional de edad 8.7.11.4 OpenCascade 8.7.11.5 SoQt 8.7.11.6 Pivy 8.7.12 Recopilar FreeCAD 8.7.12.1 El autotools manera 8.7.12.2 El cAsegúrese manera 8.7.12.3 Piezas opcionales 8.7.13 Solución de problemas 8.7.13.1 Nota para sistemas de 64 bits 8.7.13.2 Automake macros 8.7.14 Hacer un paquete debian 8.7.15 automática de scripts de creación 8.7.15.1 Ubuntu 9.10 - Karmic Koala / Ubuntu 10.04 LTS - Lucid Lynx

10 alza 8.7.04 .8.9.22 Información general 8.7.1.1.24.7.1 Qt Toolkit 8.7.8.7.8 GTS 8.25.7.1.24.7.25 LibPack 8.23 Enlaces 8.7.24 Detalles 8.9 A partir FreeCAD desde la línea de comandos 8.1 usuario información relacionada 8.8.2.10 Ejecución de FreeCAD sin la interfaz de usuario 8.16 Descargar las fuentes FreeCAD 8.2 CamStudio 8.7.3 Doxygen 8.7.1 Descripción 8.8.1 FreeCADLibs7.7.24.7.12.4 Coin3D 8.2 InkScape 8.1.1 Créditos 8.7.7.7.5 de Debian Squeeze 8.2 Respuesta y archivos de configuración 8.24.2.7.4 StarUML 8.15.3 Qt 8.7.24.3 Opciones ocultas 8.1 8.24.8.7.1.7.5 ODE (dinámico del motor abierto) 8.Jaunty Jackalope 8.24.3 OpenSuse 11.8.x Changelog 8.9.8.4 El Gimp 8.2 OpenCascade 8.24.8.15.4 OpenSuse 11.3 Sistema relacionados 8.3 Tortoise SVN 8.2 argumentos de la línea de comandos 8.1 Plataforma de herramientas independend 8.24.1 Python 8.7.21 Ejecutar 8.2 8.7 Xerces-C + + 8.1 Opciones de la línea 8.app 8.8 Herramienta de la página 8.12.19 Descarga 'instalar' la plantilla FreeCAD.15.18 Instale y Marcos OpenCascade 8.5.24.9.11 Ejecución de FreeCAD como un módulo de python 8.7.7.8.7.3 Herramientas en Linux 8.8.7.2 Herramientas en Windows 8.4 Construir relacionados con la información .7.1 Visual Studio Express 8 8.2 Créditos 8.6 SoQt 8.2.2.20 Compilar 8.1.7.12.24.24.8.17 Instalar MacPorts y dependencias Biblioteca 8.15.8.12 El conjunto de configuración 8.12.7.24.7.2 Ubuntu 9.9 Zlib 8.

13.17.2 Proyecto de instalación 8.7 NextBuildNumber 8.2 Empresas BIENVENIDO A FREECAD Este documento se divide en varias secciones: introducción.20 PyQt4 8. la dirección de los tres últimos especialmente los tres grandes categorías de usuarios de FreeCAD: usuarios finales.6 BuildDoc 8.3 Documentación 9 Créditos 9.16.1 Debian y Ubuntu 8.1.2 Otras distribuciones de linux 8.1 para Desarrolladores 9.21 Pivy 8.15 de línea de comandos 8.8 CreateModule 8.1 Instalación 8.1 Page Convención de nomenclatura 8.13.21.1 Cómo traducir 8.16.20.13 Uso Número 8.2 Traducción con Qt-Lingüista (camino viejo) 8.1 Requisitos previos 8.21.1 Instalación 8.2 imagen de fondo 8.3 Configuración de los archivos de Python para la traducción 8. uso de secuencias de comandos y el desarrollo.20.13.16.19 La traducción del wiki 8.1.2.4 DistSetup 8.2 desarrolladores 9.16 Introducción 8.19.5 Marcas relacionadas 8.8.3 Documentación 8.21.18.2 DistBin 8.2 imágenes 8.2.2 Uso 8.12.21.2. que simplemente quieren Cómo utilizar .17.21.1 General 8.13.5 DistAll 8.1.18 Preparación de sus propios módulos y aplicaciones para la traducción 8.1 desarrollador de plomo 9.13.2 Uso 8.17 Ayudar a traducir FreeCAD 8.13.18.1 DistSrc 8.13.1 Iconos 8.3 DistSetup 8.1.1.18.20.16.1 traducción de archivos disponibles 8.14 Prueba de primera 8.17.21.13.3 Windows 8.

los usuarios de energía. PLM . y los desarrolladores. aunque. sin modificar el núcleo del sistema. FreeCAD cuenta con herramientas similares a Catia . que consideran FreeCAD como base para desarrollar sus propias aplicaciones. SolidWorks y Solid Edge . FreeCAD podría ser útil en una amplia área mucho más que su enfoque actual. no son orgánicos o formas de animación ( como Maya . CAx y CAE . Será una película basada modelador paramétrico con una arquitectura de software modular que hace fácil para proporcionar funcionalidad adicional. FreeCAD va destinado directamente a la ingeniería mecánica y diseño de productos . gracias a su amplia adaptabilidad. tales como la arquitectura o la ingeniería de otras especialidades. que se interesan por las capacidades de scripting de FreeCAD y me gustaría personalizar algunos de sus aspectos. pero el dibujo 2D directa (como AutoCAD LT ) no es el foco. y por lo tanto también cae en la categoría de MCAD . . 3ds Max o Cinema 4D ).usar el programa. pero también encaja en una gama más amplia de aplicaciones en la ingeniería. INTRODUCCIÓN FreeCAD es un propósito general 3D CAD modelador. Como ocurre con muchos modernos 3D CAD y modeladores que tendrá un componente 2D para extraer los detalles del diseño del modelo 3D para crear dibujos en 2D de producción. El desarrollo es completamente de código abierto (GPL y LGPL licencia).

una encarnación de OpenInventor . de características FreeCAD implementa. Si desea buscar en el futuro ver la hoja de ruta para el Desarrollo de una visión general rápida de la Imagen es un buen lugar para ir. Entre ellos se encuentran OpenCascade . FreeCAD está totalmente multiplataforma . Qt . por lo tanto. un poderoso núcleo de CAD. Características generales Base de la aplicación . con el mismo aspecto y funcionalidad en todas las plataformas. la famosa interfaz de usuario marco del mundo. FreeCAD misma también se puede utilizar como una biblioteca por otros programas. y actualmente se ejecuta sin problemas en Windows y Linux / Unix y Mac OS X sistemas.Otra de las principales preocupaciones de FreeCAD es hacer un uso intensivo de todos los de código abierto grandes bibliotecas que existen por ahí en el campo de la computación científica . Coin3D . y Python . uno de los mejores lenguajes de scripting disponibles. Esta es una lista extensa. no completa.

o en una consola de python. que se cargan sólo cuando es necesario. FreeCAD cuenta con una completa interfaz gráfica de usuario basada en el famoso Qt marco. los módulos de todo. por ejemplo. y una API que cubre casi cualquier parte de la aplicación. FreeCAD se ejecuta sin su interfaz. FreeCAD se pueden importar como un módulo de Python . Plugin / marco del módulo para la carga tardía de características y tipos de datos. dentro de otras aplicaciones que pueden ejecutar scripts de Python. Un instalador MSI modular permite instalaciones flexibles en los sistemas Windows Los paquetes para los sistemas de Ubuntu también se mantienen. Los módulos se comportan como plugins. El intérprete puede ejecutar comandos individuales hasta las secuencias de comandos complejas. la parte de interfaz de FreeCAD no está disponible. permitiendo rápido renderizado de escenas 3D y una representación gráfica de la escena muy accesible. incluso se puede programar completamente en Python. pero todas las herramientas de la geometría son accesibles. Casi todas las herramientas y tipos de geometría se almacenan en módulos. FreeCAD es una completa aplicación con interfaz gráfica. y pueden incluir o eliminar una instalación existente de FreeCAD. FreeCAD se divide en una aplicación de base y los módulos. Construido en secuencias de comandos marco: FreeCAD incorpora un en Python intérprete. de hecho. con un visor 3D basado en Open Inventor . la interfaz. la geometría y la representación de esta geometría en el visor 3D. FreeCAD también se ejecuta como una aplicación de línea de comandos.FreeCAD es multi-plataforma: Se ejecuta y se comporta exactamente de la misma manera en Windows. con la huella de memoria baja. Puede ser. pero con todas las herramientas de la geometría. Linux y Mac OSX. Al igual que en modo consola. utiliza como servidor de producir contenidos para otras aplicaciones. In command line mode. Estructura de documento: .

y salvo que se reproduce más adelante. agregar. 2. el marco de Qt está adaptado demasiado. manteniendo el espacio de trabajo despejado y rápida respuesta. reflejo de la interacción del usuario en la consola: Todo lo que el usuario hace en la interfaz de FreeCAD ejecuta código python. INTERFAZ DE USUARIO • • • • • Totalmente personalizable / scripts interfaz gráfica de usuario. La relación entre los objetos también se almacena. y la aplicación de la carga. Extensión puede contener diversos tipos de información. Concepto de banco de trabajo: En la interfaz de FreeCAD. modificar o eliminar widgets y barras de herramientas. (ZIP base) del documento compuesto guardar formato: FreeCAD documentos guardados con iconos fcstd. tales como la geometría.1. si es necesario. explorar el contenido de los módulos y fácil aprender sobre FreeCAD internos. y vuelven a calcular en cualquier momento. Gestión de transacciones: La deshacer / rehacer pila documento transacciones tiendas y no las acciones individuales. lo que permite guionistas para probar la funcionalidad sobre la marcha. 4. las secuencias de comandos o en miniatura. las herramientas se agrupan por mesas de trabajo . varios pasos por lo que puede ser deshecho a la vez. y la clase explorador autocompletar: comandos de Python pueden ser introducidas directamente en FreeCAD y devolvió de inmediato los resultados. por lo que la modificación de un objeto también modifica sus objetos dependientes. Incorporado en la consola de Python con resaltado de sintaxis. permitiendo que cualquier operación en la interfaz gráfica de usuario. Esto permite mostrar sólo las herramientas utilizadas para llevar a cabo una tarea determinada. con acceso a la pila de deshacer. Además de las funciones simples que FreeCAD se dota a los bancos de trabajo. macro de grabación y edición completa: La pitón órdenes emitidas cuando el usuario manipula la interfaz puede ser grabado. Los parámetros se pueden modificar sobre la marcha. Asociativas documento objetos paramétricos: Todos los objetos en un documento FreeCAD puede ser definido por los parámetros. . que se puede imprimir en la consola y se registran en las macros. tales como crear. permitiendo que cada herramienta para definir exactamente lo que hay que deshacer o rehacer. El Qt basado en la interfaz de FreeCAD es totalmente accesible a través del intérprete de Python. Deshacer / Rehacer marco: Todo es deshacer / rehacer. 3. de acoplamiento. editado.

cortar. Open Inventor mallas (iv *.• Thumbnailer (los sistemas Linux solamente en el momento): Los iconos de documento FreeCAD mostrar el contenido del archivo en la mayoría de las aplicaciones de administrador de archivos. obj). ast). y nativo del kernel de malla FreeCAD (*. etc). el formato OBJ (*. desplazamiento (triviales o después de Jung / Shin / Choi) o las operaciones booleanas (añadir. . BMS) La exportación de los siguientes formatos: ASCII o binario STL (Stereo formato litografía) (*. se cruzan) La importación de los siguientes formatos: ASCII o binario STL (litografía formato estéreo) (*. obj). nas). ast). cilindro. *. esfera. *. y la exportación de la geometría FreeCAD en formato de malla. el formato OBJ (*. stl. limitada NASTRAN apoyo (*. Es esta destinada principalmente para la importación. stl. la curación y la conversión de la geometría de malla de terceros generados en FreeCAD. ). La creación de primitivas (caja. como los nautilus de gnome. Pero FreeCAD mismo también cuenta con muchos tipos de geometría más avanzada que las mallas. Características específicas de la aplicación La funcionalidad de FreeCAD está separado en módulos. cada uno tratando con tipos de datos y aplicaciones especiales: MALLAS • • • • El acoplamiento del módulo se refiere a mallas 3D. limitada NASTRAN apoyo (*.

Amplia Python API de scripting . modificación de las operaciones gráficas como la traducción. compensar o la forma de conversión. de malla como módulo de Python (*. rotación. *. en cualquier plano del espacio 3D. intersección de autocomprobación. rectángulos. arcos o círculos en cualquier plano del espacio 3D.• • nas. Paramétrico formas primitivas como la caja. El módulo de la parte trabaja con alto nivel Abrir CASCADE geometría. wrl). nativa del núcleo de malla FreeCAD (*. dxf). escalado. BRL). svg). Open Cad Formato (*. La funcionalidad CAD está en fuerte desarrollo (véase el PartDesign_project y Assembly_project en el Development_roadmap ). 2D DE REDACCIÓN • • • Gráfica de la creación de la geometría plana simples como líneas. orificio de llenado y la orientación uniforme. Importación y exportación de los siguientes formatos: Autodesk Dibujo Exchange Format (*. gcad) e SVG (*. el cono del cilindro o un toro. *. • CAD • • La pieza del módulo se ocupa de todo alrededor de modelado CAD y las estructuras de datos CAD. la esfera. py) Prueba y reparación de herramientas para mallas: prueba de sólidos. espejo. VRML mallas ( *. . Anotaciones como los textos o las dimensiones . BMS). y dos colectores de ensayo que no. oca. cables.

Este módulo se encuentra en el principio y en el momento en su mayoría dedicados a la hoja que forma incremental . *. y la inserción de puntos de vista de la geometría proyectada en esa hoja. cables y aviones (a través de secuencias de comandos de Python). como la molienda. y la geometría de la adición a esa hoja de representación para exportar a un archivo de POVRay. igs. paso). *. stp. diferencia e intersección. IGES modelos (*. y BREP (*. CAM • El módulo CAM se dedica a trabajar a máquina mecánica. BRP). IGES). Permite la creación de una hoja en 2D con una plantilla de svg existentes. Importación y exportación de los siguientes formatos: PASO piezas y ensamblajes (*. RAYTRACING • El módulo de trazado de rayos permite la exportación de la geometría FreeCAD a renderizadores externos para la generación de imágenes de alta calidad. el motor de render compatible sólo es POV-Ray . Modelado con rectas o protuberancias de la revolución. Esta página describe el uso y las características del instalador de Microsoft para conocer las opciones de instalación más. El módulo permite actualmente la creación de una hoja de representación. INSTALACIÓN Instalar en Windows La forma más fácil de instalar FreeCAD en Windows es utilizar el instalador. Dibujo • El módulo de dibujo permite exportar vistas proyectado de la geometría 3D a un documento SVG 2D. Instalación sencilla . Amplia Python API de scripting . las secciones y los filetes. el formato nativo de nuestro Abrir CASCADE núcleo CAD . bordes.• • • • • Topológica componentes como vértices. A continuación. En la actualidad. la hoja se pueden guardar como un archivo SVG. Aunque hay algunos algoritmos de planificación trayectorias que no son utilizables para el usuario final en el momento. operaciones booleanas como unión.

Instalador FreeCAD se entrega en.5.Interfaz básica . Instalación de la línea de comandos Con la utilidad de línea de comandos msiexec.msi TARGETDIR = r: \ FreeCAD25 Limitada interfaz de usuario El importe de la interfaz de usuario que el instalador muestra se puede controlar con / q opciones.Me gusta / qb.No interfaz / Qb . Puede descargar la última versión. un disco de instalación diferente se puede especificar con TARGETDIR = R: \ FreeCAD25 . en particular: • • • • / Qn . haga doble clic sobre él para iniciar el proceso de instalación. msi Instalación se puede iniciar mediante programación. como no-instalación interactiva y la instalación administrativa.Me gusta / qn. pero muestran "Completado" diálogo al final / Qb + . Msi de la FreeCAD página de descarga oficial . -Instalación interactiva para no Con la línea de comandos msiexec / i FreeCAD <versión>.mostrar todos los cuadros de diálogo que no requieren la interacción del usuario (saltar todos los cuadros de diálogo modales) / Qn + . Por ejemplo.Reducción de la interfaz . Los parámetros adicionales se pueden pasar al final de esta línea de comandos. MSI (Windows Installer) en formato. pero muestran "Completado" diálogo al final • • Objetivo de la guía El TARGETDIR propiedad determina el directorio raíz de la instalación FreeCAD. Después de descargar el archivo. las características adicionales están disponibles.Al igual que / qb. pero ocultar el botón Cancelar / Qr . como msiexec / i FreeCAD-2.sólo un pequeño diálogo de progreso / Qb! .exe.

lista de características para ser instalado en el equipo local REMOVER .lista de características para el que se realizará una instalación de publicidad . la instalación no interactiva instalar el paquete sólo para el usuario actual. El conjunto de características para el programa de instalación es FreeCAD • • • • Default Feature .lista de características para volver a instalar / reparar PUBLICIDAD .instalar el software adecuado. además de las bibliotecas del núcleo Documentación .El TARGETDIR predeterminado es [WindowsVolume \ Programm Files \] FreeCAD <versión>.instalar las fuentes Cosas por hacer Además. Las características siguientes propiedades de control para instalar o desinstalar • • • • • ADDLOCAL .lista de características para ser retirados ADDDEFAULT . Todas las funciones dependen de DefaultFeature. De forma predeterminada. Instalación para todos los usuarios Agregar ALLUSERS = 1 Causa de una instalación a todos los usuarios. Selección de características Un número de propiedades permiten la selección de características para ser instalado. reinstalado o eliminadas. y la instalación interactiva ofrece un cuadro de diálogo que por defecto es "todos los usuarios" si el usuario es lo suficientemente privilegiada. por lo que la instalación de cualquier característica instala automáticamente la función de default.lista de funciones adicionales en su configuración por defecto (que es local para todas las características FreeCAD) REINSTALL .instalar la documentación El código fuente . TODOS especifica todas las características.

otro archivo (más pequeño) msi se genera en el directorio de destino. Actualmente. Con estas opciones.Hay algunas características adicionales disponibles. . pero sin otra modificación que se haga en el sistema local. No es necesario contar con el archivo MSI disponibles para la desinstalación. Además. Desinstalación Con msiexec / x FreeCAD <versión>. Usted puede encontrar el código de producto al observar las propiedades del acceso directo Desinstalar FreeCAD que se instala en el menú de inicio. no existe ninguna interfaz de usuario para las instalaciones administrativas. añadiendo ADDLOCAL = Extensiones Instala el propio intérprete y los registros de las extensiones. Los archivos se desempaquetado en el directorio de destino (que debe ser un directorio de red). por lo que el directorio de destino se debe pasar la línea de comandos.simplemente borre el directorio de destino si no hay cliente que usa más. el paquete o código de producto también puede ser especificado. que los clientes pueden entonces utilizar para realizar una instalación local (las versiones futuras pueden ofrecer también para mantener algunas de las características de la unidad de red en total). No hay ninguna específica procedimiento de desinstalación de una administrativa de instalación . como alternativa. pero no instalar nada más. msi FreeCAD se puede desinstalar. consulte la documentación de MSDN para obtener más detalles. Instalación administrativa Con msiexec / a FreeCAD <versión>. msi Un "administrativo" (red) de instalación se puede iniciar.

sin el software en realidad se está instalando. y las extensiones para ser registrada. Instalación automática de un grupo de máquinas Con la directiva de grupo de Windows. en principio. Ejecutar msiexec de la línea de comandos CXOffice.0.Publicidad Con msiexec / jm FreeCAD <versión>. es posible instalar automáticamente FreeCAD un grupo de una de las máquinas. Abra el complemento MMC de "usuarios de Active Directory y equipos" Navegue hasta el grupo de equipos que necesitan FreeCAD Abra Propiedades Abrir directivas de grupo Añadir una nueva política. a "anunciar" FreeCAD a una máquina (con / ju a un usuario).para implementar el paquete de forma fiable. suponiendo que el paquete de instalación se coloca en el "software" de la guía que se asigna a la unidad de letra "Y": msiexec / i Y: \ \ software \ \ FreeCAD <versión> msi. . toma algún tiempo . y editarlo En Configuración del equipo / Instalación de software. seleccione Nuevo / Paquete Seleccione el archivo MSI a través de la ruta de red Opcionalmente.1. msi Sería posible. La propagación del Grupo de política general. El primer uso de una característica haría que cuentan para su instalación. siga estos pasos: • • • • • • • • • • Inicie sesión en el controlador de dominio Copie el archivo MSI en una carpeta que se comparte con acceso permitido a todos los equipos de destino. todos los equipos debe ser reiniciado. seleccione la que desea la FreeCAD ser desinstalado si el equipo sale del ámbito de aplicación de la política. El instalador FreeCAD actualmente soporta sólo el anuncio de las entradas del menú de inicio. Esto haría que los iconos que aparecen en el menú de inicio. pero no hay anuncio de accesos directos. Para ello. Instalación en Linux usando Crossover Office Puede instalar la versión para Windows de FreeCAD en un sistema Linux utilizando CXOffice 5.

al igual que con otros PROGRAMAS ejecuta en vino es decir. Mpkg) incluido en un archivo de imagen de disco. Por favor. pero se ha informado de que la pantalla OpenGL no funciona. Instalación en Unix / Linux Por el momento. un icono de inicio se agregó en la "gráfica" de su Menú de Inicio.deb por el nombre del archivo descargado. ningún paquete precompilado es availible para otros sistemas Linux / Unix. Google SketchUp . navegar hasta donde hemos descargado el archivo. y haga doble clic en él. si usted tiene la gdebi paquete instalado (normalmente lo es). Instalación sencilla El instalador FreeCAD se ofrece como un paquete de Installer (. Instalación en Mac FreeCAD se puede instalar en Mac OS X en un solo paso utilizando el instalador. . Instalación en otros sistemas Linux / Unix Unfortnately. y: sudo dpkg-i Name_of_your_FreeCAD_package. Las dependencias necesarias serán atendidos de forma automática por el gestor de paquetes del sistema de tipos. Alternativamente se puede instalar también de la terminal. eche un vistazo a la descarga página para ver lo que está actualmente availible.FreeCAD se está ejecutando. por el momento. el equipo FreeCAD sólo proporciona a los instaladores de sistemas de 32 bits de Debian y Ubuntu.deb Cambiando Name_of_your_FreeCAD_package. Esta página describe el uso y características de la instalación FreeCAD. por lo que tendrá que compilar FreeCAD mismo . También incluye las instrucciones de desinstalación. sólo tiene que desplazarse a donde ha descargado el archivo. Después de instalar FreeCAD. Instalación en sistemas Debian / Ubuntu Una vez descargado el. pero algunos miembros de la comunidad FreeCAD usuarios también proporciona a los instaladores de encargo para otras versiones de Linux. Deb correspondiente a su versión del sistema.

se puede anular la selección utilizando las casillas de verificación. Si usted sabe que usted ya tiene alguno de estos paquetes. deje todos los elementos seleccionados. ejecutar el FreeCAD paquete de instalación. ejecute: sudo / Developer / Herramientas / desinstalar-qt.framework Inventor. Para eliminar completamente FreeCAD y todos los componentes instalados. Después de descargar el archivo. desde el terminal. arrastre los siguientes archivos y carpetas a la Papelera: • • • • • En / Aplicaciones: FreeCAD en / Library / Frameworks / SoQt. Desinstalación En este momento no es un desinstalador de FreeCAD. El instalador le presentará una pantalla de instalación Personalizar que se muestran los paquetes que serán instalados.Puede descargar la última instalación de la descarga la página. Si no está seguro.framework Entonces.py sudo rm-R / usr / local / lib / OCC sudo rm-R / usr / local / include / OCC . simplemente montar la imagen de disco. a continuación.

centrado en la ingeniería mecánica y otras áreas relacionadas. Explorando FreeCAD La interfaz FreeCAD al iniciarlo por primera vez. si eres curioso acerca de lo que FreeCAD Aspecto del producto y las características que se están desarrollando. se espera que esto cambie pronto. Pero. Rpm) y Mac OSX. le invitamos a descargarlo y darle una oportunidad. así que no espere ser capaz de utilizarlo para producir un trabajo ya. Ubuntu y Debian (. Todavía está en fase inicial de desarrollo. probablemente encontrará que FreeCAD todavía tiene pocos para ofrecer a usted. Hay paquetes listos para instalar Windows (. Instalación CD En primer lugar (si no se hace ya) descargar e instalar FreeCAD. Esto significa que si usted sabe un poco de python. Finalmente. FreeCAD es una aplicación de modelado 3D en general para todo uso. mucha funcionalidad ya está presente. Por el momento. que ya será capaz de producir y modificar la geometría compleja con relativa facilidad. Si no. Msi). FreeCAD estará disponible como un paquete de aplicaciones de auto-contenida para toda esta molestia desaparece. Deb) openSUSE (. tales como otras especialidades de la ingeniería o la arquitectura. pero no la interfaz de usuario mucho se ha creado para él. . Se concibe como una plataforma para el desarrollo de cualquier tipo de aplicación 3D. Véase la descarga página para obtener información acerca de las versiones y actualizaciones. Pero. sea paciente.Eso es todo. Prefacio FreeCAD es un sistema CAD / CAE de aplicaciones de modelado paramétrico.

Esta mesa de trabajo. simplemente recoge las herramientas más madura de otros bancos de trabajo. y la rotación con el botón izquierdo del ratón y el ratón Medio botón al mismo tiempo. el zoom se realiza con la rueda del ratón. vista frontal.) 2D de Redacción Herramientas de dibujo Estas herramientas le permiten configurar su entorno de trabajo o producir operaciones genéricas. También tiene varios presets vista (vista superior. Desde FreeCAD es bastante joven y aún no se utilizan para el trabajo muy especializado. que llamamos "banco de trabajo completo". Todos los contenidos de estos paneles puede haber cambios en función de la mesa de trabajo. todas las herramientas que son lo suficientemente buenas para la producción de la geometría está aquí. o un grupo de tareas. con una barra de menús. La interfaz FreeCAD por lo tanto se puede describir como un contenedor muy simple. con CTRL presionado si desea seleccionar varios objetos. y por atajos numéricos (1. Básicamente. . A tal efecto. Al iniciar FreeCAD por primera vez. la panorámica con el botón central del ratón. etc . 2.sino también para realizar tareas muy específicas. y un par de paneles laterales para la visualización de los contenidos escena o propiedades de los objetos. Selección de un objeto se hace simplemente haciendo clic sobre ella con el botón izquierdo del ratón. este banco de trabajo es muy útil para descubrir FreeCAD con mayor facilidad. un área de visualización 3D. su interfaz se divide en una serie de bancos de trabajo . que se pueden establecer en la configuración de diálogo de preferencias. Navegando en el espacio 3D FreeCAD tiene dos diferentes modos de navegación disponibles.. En el modo por defecto. se le presentará un "general" banco de trabajo. Bancos de trabajo permiten cambiar el contenido de interfaz para mostrar todos y sólo las herramientas necesarias para una tarea específica. etc) disponibles en el menú Ver y en la barra de herramientas Vista. plano de trabajo : Establece el plano de trabajo para las operaciones de al lado Coloque en la hoja : Escribe los objetos seleccionados a una hoja de dibujo SVG Objetos de dibujo Estas son herramientas para la creación de objetos.

De 2 puntos la línea : Dibuja un segmento de línea de 2 puntos Hilos (punto de varias líneas) : Dibuja una línea hecha de segmentos de varias líneas Círculo : dibuja un círculo desde el centro y el radio Arco : Dibuja un segmento de arco desde el centro. pero si no hay ningún objeto seleccionado. Mover : Mueve el objeto (s) de un lugar a otro Girar : Gira objeto (s) de un ángulo inicial a un ángulo final Offset : los segmentos de un objeto se mueve sobre una distancia determinada Actualización : se une a los objetos en un alto nivel de objeto Baja de Calificación : Se descompone en objetos de nivel inferior objetos Recortar / Extender (Trimex) : Recorta o se extiende un objeto Aplicar el estilo : Aplica el color actual y el ancho de línea a los objetos Escala : escala objeto seleccionado (s) en torno a un punto base . ángulo inicial y final del ángulo Rectángulo : dibuja un rectángulo de 2 puntos opuestos Texto : Dibuja una línea de texto de la anotación-multi Dimensión : Dibuja una anotación dimensión Modificación de objetos Estas son las herramientas para modificar los objetos existentes. Trabajan en los objetos seleccionados. radio. se le invitará a seleccionar una.

Editar : edita un objeto seleccionado La creación de piezas en 3D Primitivos Estas son herramientas para la creación de objetos primitivos. Que le permitirá elegir el objeto a modificar. Caja : Dibuja un cuadro especificando sus dimensiones Cono : Dibuja un cono mediante la especificación de sus dimensiones Cilindro : Dibuja un cilindro mediante la especificación de sus dimensiones Esfera : Dibuja una esfera mediante la especificación de sus dimensiones Toro : Dibuja un toro (anillo). especificando sus dimensiones Modificación de objetos Estas son las herramientas para modificar los objetos existentes. Booleanos : boolean Realiza operaciones en los objetos Fusible : Fusibles (sindicatos) dos objetos Común : extraer los comunes (intersección) parte de dos objetos Cortar : corta (resta) un objeto de otro Extrusión : Eleva caras planas de un objeto Solomillo : Filete (balas) bordes de un objeto Girar : Crea un objeto por otro objeto giratorio alrededor de un eje .

modificar la representación de los objetos en la escena 3D o acceder y modificar la interfaz FreeCAD. una de las características más potentes de FreeCAD es la secuencia de comandos medio ambiente. Desde la pitón consola integrada (o de cualquier secuencia de comandos Python externo).Sección : Crea una sección por la intersección de un objeto con un plano de sección. secuencias de comandos de Python también pueden ser utilizados en las macros . configurar y exportación de hojas de dibujo 2D Nueva hoja de dibujo : Crea una nueva hoja de dibujo desde un archivo SVG existentes A3 dibujo de paisaje Nueva : Crea una nueva hoja de dibujo de la plantilla por defecto A3 FreeCAD Inserte un punto de vista : Inserta una vista del objeto seleccionado en la hoja de dibujo activo hoja Guardar : Guarda la hoja actual como un archivo SVG Exportar a renderizadores externos Estas son herramientas para la exportación de su trabajo en 3D para renderizadores externos Crear un proyecto de Povray : Crea un POV-Ray nuevo proyecto Insertar información ver : Inserta el ver los datos (posición de la cámara. etc) a la POV-Ray proyecto actual Insertar información parte : Inserta el objeto seleccionado al POV-Ray proyecto actual Secuencias de comandos Y. puede acceder a casi cualquier parte del FreeCAD. por último. . que proporcionan un método sencillo para crear comandos personalizados. crear o modificar la geometría. Exportar a dibujos 2D Estas son las herramientas para crear.

Gire: Primero haga clic con el botón central del ratón. Selección de objetos Los objetos se pueden seleccionar con un clic con el botón izquierdo del ratón o haciendo clic en el objeto en la vista 3D o mediante la selección en la vista de árbol. si esta opción está activada . el objeto sigue girando . Manipulación de objetos La manipulación de objetos es común a todos los bancos de trabajo. También hay una preselección mecanismo que pone de relieve los objetos y muestra información acerca de ellos antes de la selección con sólo pasar el mouse sobre él. mantenga y haga clic en el botón izquierdo del ratón en cualquier parte visible de un objeto y arrastrarlo en la dirección deseada. Si se suelta el botón antes de dejar su petición. Zoom: Utilice la teclas + o . Los gestos del ratón siguientes se pueden utilizar para controlar la posición del objeto y el punto de vista. Esto funciona como hacer girar una pelota que gira alrededor de su centro. Seleccione • • • • Pulse el botón izquierdo del ratón sobre un objeto que desea seleccionar.FreeCAD De navegación en 3D El modelo de ratón de FreeCAD es muy flexible e intuitiva y con algunas pistas se puede utilizar después de sólo un minuto de la práctica. Si no le gusta que la conducta o si tiene una máquina lenta. puede cambiar de preselección en las preferencias.o la rueda del ratón para acercar y alejar Pan: Haga clic en el botón central del ratón y mover el objeto.

tire de la caja larga en el centro de un eje con el botón izquierdo del ratón.• Centro de Marco de la rotación: Un doble clic con el botón central del ratón en cualquier parte de un objeto establece el nuevo centro de rotación y zoom sobre este punto. Para el plano de corte no es sólo un manipulador a lo largo del vector normal. El documento es lo que se guarda en el disco al guardar su trabajo. En el plano de cambio Para mover el centro del plano de recorte. Después de la activación del objeto plano de corte aparece y muestra siete manipuladores obvio como cajitas: Uno en cada extremo de sus tres ejes de coordenadas y otra en el centro del plano eje normal. y siguen trabajando en el mismo documento. haga clic en el objeto de avión y tire de él hasta la posición deseada. Por lo tanto. haga clic con el botón izquierdo del ratón sobre los manipuladores recuadro al final de los ejes y tire de ellos hacia atrás y adelante. Puede contener grupos y objetos elaborados con cualquier banco de trabajo. Un ejemplo sencillo es el plano de corte que se puede activar con el menú Ver → Plano de recorte. Hay otros cuatro que no son tan obvios: el propio avión y la parte fina de los tres objetos eje. puede cambiar entre los bancos de trabajo. Fuera del plano de desplazamiento Para cambiar el objeto a lo largo de su vector normal. Manipulación de objetos FreeCAD ofrece manipuladores que se pueden utilizar para modificar un objeto o su aspecto visual. También puede abrir . El documento FreeCAD Un documento FreeCAD contiene todos los objetos de la escena. Escala Para escalar el objeto. Dependiendo del objeto a los manipuladores trabajar independientemente o de forma sincrónica. Rotación Al hacer clic en la parte final de los ejes del manipulador pone en modo de rotación.

Esto también es válido para los documentos. Los documentos también están hechas de dos partes: el documento de solicitud. incluso si no se dibuja en la pantalla. se pueden crear grupos. y todavía deben ser capaces de manipular nuestros objetos. siempre hay uno y sólo un documento activo. etc Si hay al menos un documento abierto en FreeCAD.varios documentos al mismo tiempo en FreeCAD. para que pueda inspeccionar el documento desde varios puntos de vista al mismo tiempo. que contiene la representación en pantalla de nuestros objetos. . eliminar objetos o grupos. ¿Por qué es eso? Debido a FreeCAD también puede ser utilizado sin interfaz gráfica. los objetos se mueven a los grupos. donde los objetos se definen. También se puede hacer. el Workbench Parte crear objetos de la parte. tendrá dos vistas del mismo documento. Sus parámetros constructivos (es un cubo? Un cono? Qué tamaño?) Se almacenan en el documento de solicitud. Otra cosa que está contenida en el documento Ver puntos de vista en 3D. Cada mesa de trabajo puede crear sus propios tipos de objetos. el documento que están trabajando actualmente. Crear nuevos puntos de vista u opiniones cerca se puede hacer desde el menú Ver o haciendo clic derecho en una ficha de vista. desde el intérprete de Python. el banco de trabajo de malla crea objetos de malla. por ejemplo dentro de otros programas. Administración de grupos. que contiene los objetos. y tener un nombre único. mientras que su representación gráfica (es dibujado con líneas negro? Con rostros azules?) Se almacenan en el documento Ver. los objetos de cambiar el nombre haciendo doble clic en sus nombres. Tal vez le gustaría ver una vista superior y una vista frontal de su trabajo al mismo tiempo? A continuación. En la vista de árbol. por supuesto. Un documento puede tener varias vistas abiertas. objetos y nombres de objeto que se realiza principalmente desde el punto de vista de árbol. Ese es el documento que aparece en la vista 3D actual. en función de la mesa de trabajo actual. como todo en FreeCAD. Aplicación y la interfaz de usuario Como casi todo lo demás en FreeCAD. haciendo clic derecho en la vista en árbol o en un objeto. ambos almacenados en el documento Ver. por ejemplo. o posiblemente otras operaciones. los objetos se pueden mover en grupos. Piense en ello como dos espacios. el Proyecto de Workbench también crea objetos de la parte. y el documento de Vista. y abrir varias vistas del mismo documento. Dentro del documento. Los objetos dentro de un documento FreeCAD puede ser de diferentes tipos. la parte de interfaz de usuario (GUI) se separa de la parte de la aplicación de base (la aplicación).

Blob ¿Podría acceder a la representación gráfica (ver) una parte de nuestro objeto Blob? FreeCADGui. Por ejemplo: FreeCAD.Secuencias de comandos Los documentos pueden crearse fácilmente. funcionalidad FreeCAD está dividido en diferentes módulos.Blob ¿Podría acceder a un objeto llamado "Blob" dentro de su documento? FreeCADGui. Esto incluye la configuración de las preferencias.ActiveDocument.ActiveDocument Devolverá el documento vista asociada al documento actual FreeCADGui. acceder y modificar desde el intérprete de Python.ActiveDocument. Usted puede haber notado que cuando se selecciona una mesa de trabajo en la barra de herramientas FreeCAD.ActiveDocument Devolverá el actual (activo) documento FreeCAD. .ActiveView Configuración de las preferencias del usuario El sistema de preferencias de FreeCAD se encuentra en el menú Editar -> Preferencias. FreeCAD también utiliza un concepto llamado de carga tarde.ActiveDocument. lo que significa que los componentes se cargan sólo cuando es necesario. cada módulo está encargado de la elaboración de un determinado banco de trabajo . que la mesa de trabajo y todos sus componentes se cargan en ese momento.

. lo que le permite configurar los detalles de cada mesa de trabajo. nuevas secciones aparecerán en la ventana de preferencias. Sin ningún módulo cargado. se le tendrá entonces una ventana de preferencias mínimo. usted tendrá acceso a dos secciones de configuración.La configuración de las preferencias generales Al iniciar FreeCAD sin mesa de trabajo abierta. A medida que la carga de módulos adicionales. responsables de la configuración de aplicación general y para la configuración de la pantalla.

que tiene un estado-de-la organización de arte. mover. La ventana de personalización se accede desde Herramientas . barras de herramientas y otras herramientas se pueden modificar. métodos abreviados de teclado se puede establecer. Widgets. Personalización de la interfaz Desde la interfaz FreeCAD se basa en la moderna Qt toolkit.Personalizar el menú>: . compartida entre los bancos de trabajo. modificar y macros se pueden grabar y reproducir. por lo que el contenido de las pantallas pueden diferir de las capturas de pantalla de arriba. Los ajustes son por lo general explica por sí mismo. lo que no debería enfrentarse a cualquier dificultad de configurar FreeCAD a sus necesidades.La configuración de la pantalla FreeCAD está siempre en constante evolución. menús.

que son objetos definidos sólo por sus propiedades. puedes ver las combinaciones de teclas asociadas a cada comando FreeCAD. Las propiedades se pueden ver y . o crear sus propias barras de herramientas personalizadas. En el teclado. Propiedades juegan un papel muy importante en FreeCAD. Personalizada guión objetos en FreeCAD pueden tener propiedades de los siguientes tipos: • Boolean . y si lo desea.La ficha de comandos le permite ver todos los comandos disponibles FreeCAD.modificado con el editor de propiedades . modificar o asignar nuevo acceso directo a cualquier comando. La caja de herramientas y barras de las barras de herramientas etiquetas permiten modificar las barras de herramientas existentes. Aquí es donde puede venir si se utiliza una mesa de trabajo particular. y me gustaría acelerar su uso mediante el teclado. organizados por su categoría.si lo permite . La ficha Macros le permite administrar su guarda macros . ya que es desde el principio los hizo trabajar con objetos paramétricos. Propiedades de los objetos Una propiedad es un pedazo de información como un número o una cadena de texto que se adjunta a un documento FreeCAD o un objeto en un documento. a menudo.

• • • • • • • • • • • • • • • • • • • • • • • • • • • • Flotador FloatList FloatConstraint Ángulo Distancia Entero IntegerConstraint Por ciento Enumeración IntegerList String StringList Enlace LinkList Matriz Vector VectorList Colocación PlacementLink Color Colorlist Material Ruta Archivo FileIncluded PartShape FilletContour Círculo Trabajar con bancos de trabajo FreeCAD. el mismo concepto se aplica. como Revit . Un banco de trabajo puede ser considerado como un conjunto de herramientas especialmente agrupados para una determinada tarea. En un taller de muebles tradicionales. y quizás un tercero para el tipo que se monta todas las piezas juntas. . Las herramientas se agrupan en bancos de trabajo de acuerdo a las tareas que están relacionadas con. al igual que muchas aplicaciones de diseño moderno. se basa en el concepto de banco de trabajo . otra para el que trabaja con piezas de metal. Actualmente tenemos disponibles las mesas de trabajo siguientes: Construido en bancos de trabajo El Workbench de malla para trabajar con mallas trianguladas. En FreeCAD. usted tendría una mesa de trabajo para la persona que trabaja con madera.

El banco de trabajo de imagen para trabajar con imágenes de mapa de bits El banco de trabajo trazado de rayos para trabajar con trazado de rayos (rendering). barras de comandos y eventualmente otras partes del interruptor de interfaz a la mesa de trabajo nuevos. por ejemplo.• • • • • • El Workbench parte para trabajar con piezas de CAD. compuesto de triángulos conectados por los bordes y las esquinas (vértices también se llama). a continuación. Usted encontrará en la lista de bancos de trabajo de varios bancos de trabajo para las pruebas de las diferentes áreas y funcionalidades desde FreeCAD se encuentra todavía en una fase temprana de desarrollo. El acoplamiento de banco de trabajo El banco de trabajo se encarga de malla mallas de triángulos . Varios bancos de trabajo de pruebas. Las mallas son un tipo especial de objetos 3D. El banco de trabajo de dibujo para mostrar su trabajo en 3D en una hoja 2D. empezar a dibujar formas en 2D con el Workbench de Proyecto. seguir trabajando sobre ellos con el Workbench Parte. las herramientas disponibles en el cambio de interfaz. con bancos de trabajo Bancos de trabajo nuevos en el desarrollo Cuando se cambia de banco de trabajo a otro. El Proyecto de Workbench para hacer de base CAD 2D de redacción. Barras de herramientas. Podría. pero el contenido de la escena no cambia. Un ejemplo de un objeto de malla .

y por lo tanto permiten mucho más las funciones avanzadas. handled by the Part Module . licuadora . You will need to handle that data. sin embargo. y los errores de regresar a menudo. in your workflow. that can carry more informations. you will receive 3D data in mesh format. and finally. Very often. but be able to read. we would obviously prefer to work with more intelligent types of 3D objects. las mallas son a menudo el tipo de objeto 3D de elección de las aplicaciones que tratan con las películas. líneas y caras. Ellos sólo se hacen de las superficies. son muy fáciles de crear. las mallas presentan una gran limitación: Son objetos muy tonto. El módulo permite a la parte FreeCAD para acceder y utilizar los objetos OpenCascade y funciones. y no tienen información de masas. since it is an engineering application. En el campo de la ingeniería. analyse it to detect errors or other problems that prevent converting them to more intelligent objects. que cuenta con avanzadas 3D manipulación de la geometría y los objetos. dividir. la historia de modificaciones y el comportamiento paramétrico. estirar. such as mass. convert them to more intelligent objects. Maya o 3D Studio Max . manipulate and convert meshes is also highly important for FreeCAD. The mesh module was first created to serve as a testbed. OpenCascade es un núcleo de CAD de nivel profesional. solid behaviour. y fácilmente se puede pasar de una aplicación a otra sin ningún tipo de pérdida. a diferencia de acoplamiento del módulo objetos. modificar. animación y creación de imágenes. son mucho más complejas. la OpenCascade núcleo. Por estas razones. En una malla no hay forma automática saber si un punto está dentro o fuera del objeto. aplicaciones 3D por lo general pueden manejar grandes cantidades de ellos sin ningún problema. como las operaciones de booleanos coheent. con sketchup . Esto significa que todas las operaciones sólida basada. ya que contienen datos muy sencilla. or even custom parameters.Muchas de las aplicaciones 3D utilizar mallas como su principal tipo de objetos en 3D. por lo que no se comportan como sólidos. que contiene sólo los vértices (puntos). Los objetos de la parte. son siempre un poco difícil de realizar en las mallas. aristas y caras (triangulares). Además. Puesto que las mallas son objetos muy simple. Ejemplo de formas parte en FreeCAD La pieza del banco de trabajo las capacidades CAD de FreeCAD se basan en Las herramientas . In FreeCAD. sólo compuesto de puntos. como sumas o restas.

Primitivos Estas son herramientas para la creación de objetos primitivos. Caja : Dibuja un cuadro especificando sus dimensiones Cono : Dibuja un cono mediante la especificación de sus dimensiones Cilindro : Dibuja un cilindro mediante la especificación de sus dimensiones Esfera : Dibuja una esfera mediante la especificación de sus dimensiones Toro : Dibuja un toro (anillo). especificando sus dimensiones Modificación de objetos Estas son las herramientas para modificar los objetos existentes.El módulo de herramientas de la parte están ubicados en el menú de la parte que aparece cuando se carga el módulo de la Parte. Booleanos : boolean Realiza operaciones en los objetos Fusible : Fusibles (sindicatos) dos objetos Común : extraer los comunes (intersección) parte de dos objetos Cortar : corta (resta) un objeto de otro Extrusión : Eleva caras planas de un objeto Solomillo : Filete (balas) bordes de un objeto Girar : Crea un objeto por otro objeto giratorio alrededor de un eje Sección : Crea una sección por la intersección de un objeto con un plano de sección Operaciones booleanas . Que le permitirá elegir el objeto a modificar.

. la documentación OCC no está disponible en línea (se debe descargar un archivo) y es en su mayoría dirigidas a los programadores. se define por un vector de base y un vector de . o incluso algunos tipos más complejos como una curva B-spline o superficie. un alambre. Tenga en cuenta que. Allí también se puede leer más acerca de las diferencias entre los objetos y formas geométricas.) que directamente se puede construir una ventaja. Un geométricas primitivas puede ser un punto. Pero esperamos que pueda encontrar la información suficiente para empezar aquí. intersección (común) y la diferencia (Corte) Explicar los conceptos En OpenCascade terminología. un rostro. Los tipos geométricos en realidad se puede dividir en dos grandes grupos: las curvas y superficies. círculos. Fuera de las curvas (líneas. y las formas son la geometría real espaciales construidas sobre ella.Un ejemplo de la unión (Fusible). una línea. sino que se utilizará como la construcción de la geometría de las formas. es decir. que la geometría primitiva son "sin forma" bloques de construcción. no a los usuarios finales. etc. . Para obtener una lista completa de todos ellos se refieren a la documentación de la OCC y la búsqueda de Geom_Geometry y TopoDS_Shape. Por ejemplo... Por ejemplo. Una forma puede ser un vértice. . de las superficies (plano. podemos distinguir entre primitivas geométricas y formas (topológicas). cilindro. la línea geométrica primitiva es ilimitado.) una cara se puede construir. lamentablemente. un borde. un círculo. El geométricas primitivas no están hechas para ser exhibida directamente en la escena 3D. un sólido o un compuesto de otras formas. una ventaja puede construirse a partir de una línea o de una parte de un círculo. Podríamos decir. para continuar. un avión..

Ejemplos Para crear un elemento interruptor de la línea a la consola de Python y escriba: Parte de importación. tales como Line y Circle (o arco). como se describe en el FreeCAD secuencias de comandos básicos página.0.0. Secuencias de comandos La estructura de datos principal utilizada en el módulo de la parte es el BREP tipo de datos de OpenCascade. doc.0) l. y para algunos de ellos. PartGui doc = App.1. Para cada uno de esos objetos.0.0) l. y toda la gama de TopoShapes.EndPoint = (1.StartPoint = (0.0. de formas que pueden construir piezas muy complejas o. Así.0.newDocument () Carga el módulo de la parte y crea un nuevo documento l = Part. Esto incluye primitivas geométricas. cables. operaciones avanzadas.0) doc.addObject ("Parte:: Reportaje".0.recompute () Vamos a pasar por el pitón ejemplo anterior paso a paso: Parte de importación. "Línea") Forma l. doc. "Línea") Forma l.StartPoint = (0.una sólida . Y una caja . Desde el borde o en la cara también puede volver a su primitiva geométrica parte contraria. por lo tanto.0.0. al revés. Caras. bordes.0.toShape = ().1. Sobre todo el contenido y los tipos de objetos del módulo de la parte ya están disponibles para python scripts.Line () l. Explore el contenido del módulo de la Parte. mientras que su representación de forma debe ser algo limitado por un punto inicial y final.EndPoint = (1.toShape = ().0. extraer todos los subforma de una forma más compleja se hace. como vértices.0) Línea es en realidad un segmento de línea. especialmente los TopoShapes.0. sólidos y compuestos. para saber más.addObject ("Parte:: Reportaje".1.0. PartGui doc = App. .dirección.pueden ser creados por seis aviones limitada. como el sindicato booleanos / diferencia / intersección están también disponibles. el inicio y punto final.newDocument () l = Part. los métodos de varias creaciones existen.Line () l.1.

finalmente. Tenga en cuenta que una línea se pueden crear especificando su inicio y punto final directamente en el constructor. Esto también preparar la representación visual del objeto pieza nueva. Es decir. Cada Edge tiene una curva. porque hemos hecho toda la forma de un solo círculo. El banco de trabajo de dibujo El módulo de dibujo le permite poner su trabajo en 3D en el papel. El módulo de dibujo se encuentra en construcción y más o menos una muestra de tecnología! Herramientas GUI Estas son las herramientas para crear. Por supuesto. en este caso sólo habrá uno. se utilizó el círculo (geometría primitiva) para construir una forma de ella. haciendo: s = f.line) para crear un TopoShape fuera de él (el toShape () método).Line (punto 1.recompute () Actualiza el documento. primitivas de la geometría se utilizan como "estructuras de los edificios" de formas. Es importante entender aquí que se utilizó una primitiva geométrica (el Part.Shape e = s.0 f = doc.toShape = () doc. Part.addObject ("Parte:: Reportaje".Curve Aquí tomamos la forma de nuestro objeto f.Esto agrega un tipo de objeto a la parte del documento y le asigna la representación de la forma del segmento de línea a la 'forma' de propiedad del objeto agregado. por lo que tomar sólo el primer elemento de la lista de los bordes. Un círculo puede ser creado de una manera similar: Parte de importación doc = App. por ejemplo una hoja con un borde. imprimir esa hoja. un título y su logotipo y.Circle () c. Sólo formas se pueden agregar al documento. configurar y exportación de hojas de dibujo 2D . "Círculo") f. que es la geometría primitiva se basa en. para poner puntos de vista de sus modelos en una ventana 2D y para insertar esa ventana en un dibujo.Edges [0] c = e.activeDocument () c = Part. doc. y toma su curva. como lo hicimos aquí. por ej. En FreeCAD. entonces tomamos la lista de los bordes. punto2) o podemos crear una línea predeterminada y establecer sus propiedades después.recompute () Observe de nuevo. podemos todavía acceder a nuestra geometría de construcción después.Shape c.Radius = 10.

muy limitadas. En esta página se puede insertar uno o varios puntos de vista. Secuencias de comandos En el momento en que el usuario (GUI) de flujo de trabajo son . Cada vista tiene una posición en la página (Propiedades X. Por lo tanto una "página" se crea. por lo que la API de secuencias de comandos es más interesante. La plantilla es un documento SVG que puede mantener su marco de página de costumbre. A continuación ejemplos de cómo utilizar la API de secuencias de comandos del módulo de dibujo. El documento contiene un objeto de forma (Schenkel) que desea extraer de un dibujo.Nueva hoja de dibujo : Crea una nueva hoja de dibujo desde un archivo SVG existentes A3 dibujo de paisaje Nueva : Crea una nueva hoja de dibujo de la plantilla por defecto A3 FreeCAD Inserte un punto de vista : Inserta una vista del objeto seleccionado en la hoja de dibujo activo hoja Guardar : Guarda la hoja actual como un archivo SVG En la foto se ven los principales conceptos del módulo de dibujo. su logotipo o el cumplimiento de las normas de su presentación. un factor de escala (escala de la Propiedad) y propiedades adicionales. Una página se crea una instancia a través de una plantilla. en este caso el "A3_Landscape" plantilla. Cada vez que la página o ver el o los cambios de objeto de referencia de la página se regenera y la visualización de la página actualizada. Y).

Box. visibleG1. "Z =". len (hiddenG0.project (forma. "Y =".85. "Cuadro n º 1") .BoundBox.ZLength vectores de proyección diferentes [VisibleG0.ActiveDocument.addObject ("Parte:: Box". len (visibleG0.Height = 100.Length = 100.Ejemplo simple En primer lugar usted necesita la pieza y el módulo de dibujo: importación FreeCAD parte.makeBox (100100100).BoundBox. Corte (Part.100))) proyección directa. Dibujo Cree una parte pequeña muestra Part.100)). Corte (Part.Shape.XLength. hiddenG0.Width = 100.00 App. visibleG0.ActiveDocument.Vector (1. App.makeBox (20.BoundBox.1)) Proyecto a SVG resultSVG = Drawing. Forma = App.makeCylinder (80100)).1.Box.show (Part. el G1 es tangente continua.00 App.BoundBox.makeBox (90.ActiveDocument.Box.00 App.40. Shape.Shape [VisibleG0. Base.YLength. Shape.ActiveDocument. Shape.projectToSVG (forma. hiddenG0. visibleG0.1)) resultSVG de impresión La forma paramétrica Crear el cuerpo # Crear tres cajas y un cilindro App.ActiveDocument. La G0 significa borde duro. visibleG1.Edges) Todo lo que se proyectó en el plano Z: print "Bnd Caja forma: X =". hiddenG1] = Drawing. "Box") App. "Z =".ZLength print "Bnd Caja proyecto: X =".YLength.addObject ("Parte:: Box".BoundBox.Edges) print "aristas ocultas". hiddenG1] = Drawing.Vector (1. Corte (Part. visibleG0.XLength.1.ActiveDocument.BoundBox. "Y =".project (Forma) print "bordes visibles:".

Shape.00 # Dos cajas de fusibles y el cilindro App.activeDocument (). Caja App.Cylinder.activeDocument ().activeDocument () addObject. "Forma"). Cilindro App.ActiveDocument.svg' Crear una vista sobre la "forma" del objeto. ("Parte:: Fusible".Box2. "Fusion1") App.activeDocument ().Template App.Cylinder.00 App. addObject.activeDocument ().activeDocument = ().activeDocument ().addObject ("Parte:: El cilindro".ActiveDocument.Box1.00 App.activeDocument ().0 Page.ActiveDocument.Tool App. ("Parte:: Fusible". Cylinder.Cylinder.activeDocument ().activeDocument ().activeDocument (). Fusion1. Shape.getResourceDir = () + 'Mod/Drawing/Templates/A3_Landscape.activeDocument = (). Fusion1.Length = 90. Fusion.activeDocument (). Box2.Source App.Base App. Vista) Crear un segundo punto de vista sobre el mismo objeto.ActiveDocument. "BOX2") App. ("Dibujo:: FeatureViewPart '.activeDocument ().activeDocument ().Base App.Box1.' ViewRot ') App. App. Fusion. App.activeDocument = ().ActiveDocument. BOX2 App.00 App.activeDocument ().Visibility = False Insertar un objeto de página y asignar una plantilla App.activeDocument () addObject.Box1.Y = 10.activeDocument = ().Tool App.Tool App.Visibility = False Gui. App. Box1.Box2. Fusion1.0. Cuadro n º 1 App.ActiveDocument.Visibility = False Gui.addObject ("Parte:: Box". Fusion1 # Ocultar todas las formas intermedias Gui.00 App.App. Forma .activeDocument (). definir la posición y la escala y la asigna a una página de App.Height = 100.Visibility = False Gui.ActiveDocument.0 View.Length = 20.activeDocument () addObject.X = 10.Visibility = False Gui.activeDocument (). App.Direction = (0.activeDocument = (). pero esta vez la vista se gira 90 grados. "Fusión") App. Page.Base App.' Página ') App.activeDocument () addObject.0.00 App.' Ver View.00 App.activeDocument ().ActiveDocument.addObject (App.Height = 100. Fusion.Angle = 360. "Cilindro") App.activeDocument ().activeDocument () ') App.Radius = 80.activeDocument = (). Box.ActiveDocument.Source App.0) View.0.activeDocument = ().ActiveDocument.Width = 40.activeDocument (). App.activeDocument () addObject ("Parte:: Corte".activeDocument = (). ("Dibujo:: FeaturePage '.activeDocument (). Forma View. ("Dibujo:: FeatureViewPart '.1. ViewRot.00 App.Height = 100.ActiveDocument. Fusión # Cortar las formas fundido de la primera casilla App.activeDocument ().00 App.Box2.Width = 85.Visibility = False Gui. App.

activeDocument ().activeDocument ().activeDocument(). App.0 ViewIso.ViewSelf) .activeDocument ().activeDocument ViewRot) (). ViewIso) addObject. App. Los cambios en el proceso de actualización de la vista y la página.activeDocument App. 0.Direction = (1.0.0 App.activeDocument().View. Cambiar algo y actualización.35" stroke-linecap="butt" stroke-linejoin="miter" transform="translate(30. 0)" stroke-width="0.Scale = 1."r") print "Result page is ". ViewRot.Y = 30.activeDocument ().X = 30.ViewResult = """<g id="ViewSelf" stroke="rgb(0. Crear un tercer punto de vista sobre el mismo objeto pero con una dirección de la vista isométrica.0.activeDocument().1. ("Dibujo:: FeatureViewPart '.0.activeDocument App.Scale = 1.ViewSelf.0.Y = 30.len(file.activeDocument App.activeDocument () ViewIso ') App.0 ViewIso.activeDocument App. App.activeDocument (). App.0 App. ().addObject(App.0.0) ViewIso.0 Page.1.Direction = (0." lines long" Importante: liberar el archivo! del archivo Insertar una vista con su propio contenido: App.30)" fill="#00cc00" > <ellipse cx="40" cy="40" rx="30" ry="15"/> </g> "" " App.App.addObject (App.1. View. sólo el permiso de lectura) print "Resulting SVG document: ".addObject('Drawing::FeatureView'.5 App.addObject (App.0 ViewRot.activeDocument().ShowHiddenLines = True Page. Forma ViewIso. Las líneas ocultas se activan también.X = 290.activeDocument (). ().Page.Y = 140.activeDocument ().activeDocument (). ().PageResult.readlines()).activeDocument().activeDocument ().ViewResult print ViewSVG Accede a la página de resultados de todo (es un archivo en el directorio temporal del documento. App.Page.App.'ViewSelf') App.0 ViewRot.activeDocument ().activeDocument().PageResult file = open(App.' ViewIso. ().0) ViewRot.activeDocument ().Page. (). App.activeDocument().Source App.X = 335. View.activeDocument App. Volver a calcular () Obtener el fragmento de SVG de una sola vista ViewSVG = App. App. View.Rotation = 90.activeDocument ().0 ViewRot.activeDocument = ().

ViewSVG.recompute() del Shape... resultSVG That leads to the following result Esto nos lleva al siguiente resultado: GUI Tools Estas son herramientas para la exportación de su trabajo en 3D para renderizadores externos Crear un proyecto de Povray : Crea un POV-Ray nuevo proyecto Insertar información ver : Inserta el ver los datos (posición de la cámara.App. En primer lugar.activeDocument(). etc) a la POVRay proyecto actual Insertar información parte : Inserta el objeto seleccionado al POV-Ray proyecto actual Exportar una vista La forma más fácil es exportar la vista 3D actual y todo su contenido a una Povray archivo. seleccione "Exportar Vista . A continuación. ." en el menú de trazado de rayos. debe cargar o crear sus datos de CAD en 3D y la posición de la orientación de la vista que desee.

You get ask for a location to save the resulting *. Pobreza.pov file. After that you can open it in Povray and render: Después de que se puede abrir en Povray y hacer: Como es habitual en un rendererer puede tomar imágenes grandes y bonitas: . Usted consigue pedir una ubicación para guardar el archivo resultante *.

0. Png y. Box. y es . App. Jpg.getPartAsPovray ('Box'. Formatos de archivo xpm en una ventana del visor por separado.close () del OUTFILE Enlaces La imagen de banco de trabajo El módulo de imagen maneja diferentes tipos de imágenes de mapa de bits .getResourceDir () + 'Mod / Raytracing / Plantillas / ProjectStd.write (abierto (App.800000)) OutFile.activeDocument ().pov '. RaytracingGui OUTFILE = open ("C: / Documents and Settings / jriegel / Escritorio / test. los módulos permite abrir.pov').Secuencias de comandos Aquí es cómo utilizar estas características de Python: Raytracing importación.povViewCamera ()) OutFile.write (Raytracing. Está escrito completamente en Python.0. Bmp.Shape..800000. Read ()) OutFile.800000. y le permite abrir en FreeCAD. El proyecto de banco de trabajo El proyecto de módulo es un módulo de trabajo en curso y experimental muy de añadir 2d básicas de dibujo funcionalidad para FreeCAD.0.write (RaytracingGui.. Actualmente.' w ') OutFile. También hay una herramienta que le permite capturar una imagen de una webcam.

también puede cambiar las cosas en general como el color de la línea actual y la anchura. Actualmente no es muy útil para el trabajo de producción. En esa barra de comandos. pero que es utilizado por las diferentes funciones para mostrar sus controles. On that command bar. Como anotación al margen. lo mejor que puede hacer es ponerse a la vista 2D ortográfica antes de empezar a dibujar.. Para ello. pulse la tecla O (o ver el menú . El banco de trabajo el proyecto está disponible en la lista de bancos de trabajo. lea el proyecto de tutorial (en preparación). IMHO. you can also change general things like current line color and width. Al activarlo. y nos dan un voto en la página de discusión . pero ya contiene un par de funciones básicas de trabajo. A continuación.vista ortográfica>) para cambiar al modo ortográfico. o leer la sección de inicio rápido. en mi humilde opinión. a continuación. the command bar (and.también la intención de mostrar hasta qué punto se puede extender FreeCAD enteramente en python. a classical toolbar containing the standard draft commands listed below and a special command bar that has no tool icon on it. más abajo para obtener rápidamente una vía férrea. está listo para dibujar. Inicio rápido No todos los comandos Proyecto de trabajar bien en 3D en el momento. When you activate it. Ahora. pulse la tecla 2 (o ver el menú -> vistas estándar -> arriba) para que usted tenga en la vista superior. As a sidenote. sin siquiera tocar el código fuente. Por lo tanto. but that is used by the different functions to display their controls. dos barras de herramientas aparecerá. two toolbars will appear. Siéntase libre para probar. abra o cree un nuevo documento. the whole QT interface) looks much better if you choose the "cleanlooks" style in FreeCAD general preferences. Tutorial Tutorial Para una explicación en profundidad.. También puede configurar FreeCAD (menú Editar -> Preferencias) para iniciar siempre en modo ortográficas. la interfaz de QT conjunto) se ve mucho mejor si se elige la "cleanlooks" estilo en las preferencias de FreeCAD general . una barra de herramientas clásicos que contiene el proyecto de norma comandos que aparecen a continuación y una barra de comandos especiales que no tiene icono de la herramienta en él. la barra de comandos (y. .

etc. entonces todos los objetos se exportarán. que ganó ' objetos t importación aforado como mallas. : Importaciones y exportaciones de OCA / archivos GCAD. y el lugar mismo en la vista apropiada. KDE). aunque en formato DXF y OCA hacer objetos apoyar las definiciones en el espacio 3D (objetos no son necesariamente plana). y en algunas herramientas ALT le dará opciones adicionales como la creación de un nuevo objeto en lugar de la transformación de una ya existente. sino más bien líneas. se enfrenta a 3D. y. Si no se selecciona nada. verically o en relación con un segmento existente. Algunos comandos de trabajo en los planos no horizontales también. Puede que tenga que cambiar esa tecla de acceso en las preferencias de escritorio. una posible nueva CAD formato de archivo abierto Herramientas de dibujo Estas herramientas le permiten configurar su entorno de trabajo o producir operaciones genéricas. Tenga en cuenta que dado que el objetivo del módulo de Proyecto es trabajar con objetos 2D. La tecla ESC siempre cancelar el comando activo. En casi todos los comandos. GNOME. MAYÚS limitará su movimiento horizontal. Currently supported file formats are: Actualmente los formatos de archivo son: Autodesk DXF : Importaciones y exportaciones de DXF archivos creados con otras aplicaciones de CAD SVG (como la geometría) : Las importaciones y exportaciones de archivos SVG creados con aplicaciones de dibujo vectorial open CAD file format Abrir formato Cad OCA. textos o formas planas. círculos. Apertura se abrirá un nuevo documento con el contenido del archivo. los importadores se centran sólo en objetos 2D. mientras que la importación se anexar el contenido del archivo para el documento actual. . de importación o exportación de otros formatos de archivo. mientras que las herramientas de modificación le pedirá que seleccione un objeto para trabajar en primer lugar. la tecla ALT está obligado por defecto para mover ventanas en el escritorio. A continuación encontrará una descripción más completa de todas las herramientas disponibles. Importación y exportación Estas son las funciones de apertura. en caso de que no hay ningún objeto seleccionado. Nota En algunos sistemas de escritorio (por ejemplo.Todos los comandos proyecto de seguir más o menos las mismas reglas: Las herramientas de dibujo le pedirá que recoger los puntos de la pantalla o introducir coordenadas numéricas. sólo asegúrese de que la coordenada Z se abre en la elaboración. Exportadores guardar los objetos seleccionados a un archivo. presionando la tecla CTRL le permitirá ajustar a los puntos existentes.

Working plane : Sets your working plane for the next operations plano de trabajo : Establece el plano de trabajo para las operaciones de al lado Put on Sheet : Writes selected objects to a svg drawing sheet Coloque en la hoja : Escribe los objetos seleccionados a una hoja de dibujo SVG Objetos de dibujo Estas son herramientas para la creación de objetos. Mover : Mueve el objeto (s) de un lugar a otro Girar : Gira objeto (s) de un ángulo inicial a un ángulo final Offset : los segmentos de un objeto se mueve sobre una distancia determinada Actualización : se une a los objetos en un alto nivel de objeto . se le invitará a seleccionar una. pero si no hay ningún objeto seleccionado. radio. Trabajan en los objetos seleccionados. ángulo inicial y final del ángulo Rectángulo : dibuja un rectángulo de 2 puntos opuestos Texto : Dibuja una línea de texto de la anotación-multi Dimensión : Dibuja una anotación dimensión Modificación de objetos Estas son las herramientas para modificar los objetos existentes. De 2 puntos la línea : Dibuja un segmento de línea de 2 puntos Hilos (punto de varias líneas) : Dibuja una línea hecha de segmentos de varias líneas Círculo : dibuja un círculo desde el centro y el radio Arco : Dibuja un segmento de arco desde el centro.

Baja de Calificación : Se descompone en objetos de nivel inferior objetos Recortar / Extender (Trimex) : Recorta o se extiende un objeto Aplicar el estilo : Aplica el color actual y el ancho de línea a los objetos Escala : escala objeto seleccionado (s) en torno a un punto base Editar : edita un objeto seleccionado Los comportamientos más habituales Ajuste : permite colocar nuevos puntos en lugares especiales en los objetos existentes Restringir : Permite colocar nuevos puntos de forma horizontal o vertical en relación a los puntos anteriores Trabajo con manual de las coordenadas : permite introducir coordenadas manual en lugar de hacer clic en la pantalla Copia: Todas las herramientas de modificación puede modificar los objetos seleccionados o crear una copia modificada de ellos. también se puede editar y crear secuencias de comandos muy complejos. Sólo tiene que registrar las acciones a medida que los hacen. a continuación. Al presionar ALT mientras utiliza la herramienta hará una copia Modo de construcción : Le permite poner la geometría del resto. para el interruptor de fácil encendido / apagado Todos los objetos creados recientemente adoptar actual Proyecto de color y el ancho El módulo de Proyecto también tiene sus preferencias de pantalla API macros Macros Las macros son una manera conveniente de crear acciones complejas en FreeCAD. salvo que con un nombre y reproducirlas siempre que lo desee. Puesto que las macros son en realidad una lista de comandos de Python. ¿Cómo funciona? .

editar y reproducir la macro actual. Si edita una macro. cada acción que hacemos. como pulsar un botón. Ahora puede acceder al diálogo de macro con el botón de edición: No puede administrar sus macros. entonces. basta con . a continuación. que se abrirá en una ventana del editor. haga clic en el botón de detener la grabación. puede ver el código Python que se ha registrado. Cuando haya terminado. La principal herramienta para la toma de las macros es la barra de herramientas de macros: . Para ejecutar la macro. En el diálogo de editar las macros. Es muy sencillo de utilizar: Presione el botón de grabación. realizar modificaciones a la misma. y sus acciones se guardarán. verá que en FreeCAD.Si habilita la salida de consola (Menú Edición -> Preferencias -> General -> Macros -> scripts Mostrar los comandos de consola en python). En ella tiene 4 botones: Grabar. Thos comandos son los que se pueden grabar en una macro. A continuación. editar o crear otros nuevos desde cero. darle un nombre. pulse el botón "grabar stop". digamos "10x10 cilindro". se le pedirá dar un nombre a la macro. donde puedes hacer cambios en su código. si lo desea. crear un cilindro con radio y la altura = 10 = 10. eliminar. detener la grabación. Ejemplo Pulse el botón de grabación. en el Workbench parte . realizar algunas acciones. los resultados de un comando python. y.

puede guardar la macro de la misma manera que se guarda un documento FreeCAD.. todo esto se puede hacer a través del menú Herramientas -> Personalizar: De esta manera usted puede hacer la macro convertido en una herramienta real. Basta con crear una nueva macro. o cualquier macro que cree. sumado a la potencia de scripts python en FreeCAD. editar. mientras que la macro está en el editor. la macro aparecerá en el marco del "macros instaladas" elemento del menú Macro. A continuación. La próxima vez que usted comienza FreeCAD. Esto. por lo que cualquier cambio que realice. sin dejar constancia de acción interfaz gráfica de usuario. siempre habrá tiempo disponible próxima vez que inicie FreeCAD. permite añadir fácilmente sus propias herramientas para la interfaz. y pegar el código. Usted macro siempre se guarda en el disco. Macros repositorio Introducción a Python Este es un breve tutorial hecho por lo que es totalmente nuevo para Python. tales como la asignación de un atajo de teclado para o poner una entrada en el menú. FreeCAD ofrece maneras mucho mejores para utilizar la macro. Una vez que la macro se crea. Python tiene varias características que lo hacen muy diferente de otros lenguajes de programación . Creación de macros sin grabar También puede directamente copiar / pegar en el código python una macro. al igual que cualquier herramienta estándar FreeCAD.. Siga leyendo para la secuencia de comandos página si quieres saber más acerca de secuencias de comandos de Python . Python es un código abierto.pulsar el boton de ejecutar en la barra de herramientas. multiplataforma lenguaje de programación . Personalizar Por supuesto que no es práctico para cargar una macro en el editor con el fin de usarlo.

tiene módulos que permiten python para leer y escribir imágenes en jpg. y muy accesible para los usuarios nuevos como a ti mismo: Ha sido especialmente diseñado para ser fácil de leer por los seres humanos. ya que ir despacio. y usted recibirá un mensaje de error diciendo que lo que salió mal. por lo que el programa no funcionará. línea por línea si desea hacerlo. FreeCAD tiene un intérprete de Python incrustado. Esto hace que sea muy fácil de aprender y de encontrar errores en el código. escriba su programa. para comunicarse con Twitter. a diferencia de lenguajes compilados como C. . a continuación. Se interpreta. ejecute de nuevo. porque en lugar de sólo hacer clic en un botón llamado "crear esfera". que puede fácilmente conectar nuevos módulos en la instalación de Python y extender su funcionalidad. para programar las tareas a realizar por el sistema operativo. de ningún modo un completo tutorial. que ha colocado a un programador a su disposición. Pero mi esperanza es que después de que usted va a obtener fundamentos suficientes para explorar más profundamente en los mecanismos FreeCAD. corregir los errores. vuelva a su editor de texto. al escribir programas de ordenador. usted tiene la libertad para crear fácilmente su propia herramienta para crear exactamente la geometría que desee. Esto es muy poderosa. A continuación. compilarlo y ejecutarlo. Por ejemplo. La mayoría de las veces que cometió errores al escribir. por lo que puede escribir código en Python FreeCAD. Puede ser integrado en otros programas para ser utilizado como lenguaje de scripting. y así sucesivamente hasta que el programa funciona bien. etc Tenga en cuenta que lo que vendrá después es una introducción muy simple. El intérprete Por lo general. El código que se escribe puede ejecutarse inmediatamente. es decir. basta con abrir un editor de texto o su entorno de programación especial que es en la mayoría de casos un editor de texto con varias herramientas a su alrededor. Es extensible. paso a paso. para crear la geometría.comunes. por lo que es muy fácil de aprender y comprender. que manipular las piezas de FreeCAD. su programa no tiene que ser compilado antes de su ejecución. por ejemplo.

Si no está familiarizado con Python. puede ejecutar código python y navegar a través de las clases disponibles y su función. e incluso la representación de estos contenidos en los puntos de vista en 3D son accesibles desde la incorporada en el intérprete de Python o de sus propios scripts.FreeCAD está construido desde cero para ser totalmente controlado por scripts python. FreeCAD es probablemente una de las aplicaciones de ingeniería más profundamente personalizables disponibles en la actualidad. sobre todo porque se encuentra todavía en fase inicial de desarrollo. En su estado actual. Como resultado. por lo general. El intérprete Desde el intérprete. Cuando se selecciona algo. un texto de ayuda asociado (si existe) se muestra: . Sin embargo. y tienen un rápido vistazo a su estructura. y todos los módulos adicionales de FreeCAD instaló más tarde. o. el contenido de la escena. FreeCAD ha incorporado un intérprete de Python. La siguiente imagen muestra al intérprete de Python: Desde el intérprete. Python es un lenguaje muy fácil de aprender. una ventana de navegador de clases se abre. esperamos. los usuarios que conocen un poco de programación Python. sino también porque la filosofía que hay detrás es más para proporcionar una plataforma para el desarrollo de un CAD aplicación de usuario a la medida. al igual que. a ti mismo. sobre todo porque se puede ejecutar dentro de un intérprete. FreeCAD tiene muy pocos "nativo" comandos para interactuar sobre los objetos 3D. sin necesidad de compilar nada. FreeCAD has a built-in python interpreter. Casi todas las partes del FreeCAD como la interfaz. le recomendamos buscar tutoriales en Internet. FreeCAD proporciona un navegador de clases muy útil para la exploración de su nuevo mundo FreeCAD: Cuando se escribe el nombre de una clase conocida seguido por un punto (lo que significa que desea agregar algo de esa clase). así como la construcción de los módulos FreeCAD. la facilidad de python scripting dentro FreeCAD probablemente ayudará mucho para ver rápidamente la nueva funcionalidad está siendo desarrollado por "usuarios avanzados". donde se puede navegar entre las subclases y métodos disponibles. puede acceder a todos los módulos de Python instalado el sistema. donde a partir de simples comandos para completar los programas se pueden ejecutar sobre la marcha. sin embargo.

Estos dos módulos también se puede acceder desde fuera de las secuencias de comandos del intérprete. a continuación. Construido en módulos Desde FreeCAD está diseñado para funcionar sin interfaz gráfica de usuario. y la funcionalidad de Gui. por los nombres respectivos de FreeCAD y FreeCADGui. usted encontrará una entrada llamada "ayuda Python". en tiempo real generado de todos los módulos de Python a disposición del intérprete FreeCAD. Al hacer clic derecho en la ventana del intérprete. Otra forma de serpiente pitón más genérico de explorar el contenido de los módulos y las clases es usar el directorio de impresión () comando. Dir de impresión (la aplicación) le mostrará todo el interior del módulo de la aplicación. Python Ayuda En el menú Ayuda FreeCAD. Para navegar en la historia de comandos. sólo tiene que utilizar CTRL + o Ctrl +. casi todas sus funciones se separa en dos grupos: la funcionalidad de la base. pero por lo general módulo python tienen la reputación de estar bastante bien documentado. los módulos instalados por el sistema. Su ventana FreeCAD deben permanecer abiertas para este sistema de documentación para trabajar. de nombre de la aplicación. también tiene otras opciones. o insertar nombre de archivo con ruta completa. Así. empezar por aquí escribiendo de la aplicación. y los módulos FreeCAD adicionales. etc Otra característica útil de la intérprete es la posibilidad de volver atrás en el historial de comandos y recuperar una línea de código que ya ha escrito antes. O Gui. La documentación disponible no depende de la cantidad de esfuerzo que cada desarrollador de módulos poner en la documentación de su código. nuestros dos principales FreeCAD integrado en los módulos se llaman de la aplicación y Gui. imprimir escribiendo dir () mostrará una lista de todos los módulos cargados en FreeCAD. incluyendo python y FreeCAD integrado en los módulos . Por ejemplo. que se abrirá una ventana que contiene una documentación completa. tales como copia de toda la historia (útil para experimentar algo aquí. hacer un guión completo de la misma). Y ver qué pasa.Por lo tanto. . llamado Gui.

usted encontrará las herramientas para acceder y gestionar elementos de la GUI. existe un correspondiente objeto Gui.ViewObject . más interesante. como la creación del documento activo o el listado de su contenido. que se almacenan en un objeto de la aplicación y las propiedades de la representación. hojas de cálculo o análisis de elementos.: para acceder a la parte Gui del mismo objeto. como los bancos de trabajo y sus barras de herramientas y. Listado de todos los contenidos de los módulos es una tarea poco contraproducente.ActiveDocument. Por ejemplo. por lo que los cambios que podría haber hecho directamente al objeto Gui podría perderse.ActiveDocument. El documento en sí. escribe: myObject = App. por supuesto.ActiveDocument. Tenga en cuenta que la parte de interfaz gráfica de objetos se genera de nuevo cada vez que un objeto de la aplicación está marcada como "que se vuelven a calcular" (por ejemplo. para acceder a la parte de la aplicación de algo. usted encontrará todo lo relacionado con la aplicación en sí. sin interfaz gráfica de usuario existe. Para cada objeto de la aplicación en el documento. como listas. ya que crecen muy rápido a lo largo del desarrollo FreeCAD. sin necesidad de preocuparse por ninguna parte visual. como los métodos para abrir o cerrar archivos.ActiveDocument. En el módulo de Gui. o incluso redirigir el contenido del documento de la aplicación no gráfica. como los algoritmos que sólo funcionan en la parte de la definición de características. Pero las dos herramientas de navegación siempre (el navegador de clases y la ayuda de python) le debería dar. se escribe: donde "ObjectName es el nombre del objeto También puede escribir.: myObject = App. Esto. En la versión de línea de comandos.ObjectName. la longitud. Esto incluye los objetos en 3D también. en realidad. por lo que sólo los objetos de la aplicación son availible. como anchura.En el módulo de la aplicación. una documentación completa y actualizada de estos módulos.getObject ("ObjectName") donde "ObjectName es el nombre del objeto También puede escribir. la altura.getObject ("ObjectName") myViewObject = App. cuando uno de sus parámetros cambiados). y en los documentos. todo lo que se separa entre el núcleo y la representación. sólo es válido cuando se ejecuta FreeCAD con su interfaz completa. tales como caras de color. y cambiar la forma en que están representados en la pantalla a través del módulo Gui. en cualquier momento. Puede acceder a la definición de propiedades de los objetos (llamados funciones de FreeCAD) a través del módulo de la aplicación.ObjectName myViewObject = Gui. también tiene aplicación y objetos GUI. La aplicación y los objetos Gui Como hemos dicho. Esta forma de hacer permite una amplia gama de usos. que se almacenan en un objeto correspondiente Gui. modo de dibujo. la representación gráfica de todo el contenido FreeCAD. un cubo tiene propiedades que lo definen. en FreeCAD.

Los objetos de documento En FreeCAD todo su trabajo reside dentro de los documentos. you type: myGuiDocument = Gui. Varios documentos se pueden abrir al mismo tiempo.newDocument("Document Name") Introducción First of all you have to import the Mesh module: import Mesh . El documento. al igual que la geometría contenido en el interior.ActiveDocument To create a new document. estamos en el modo de línea de comandos). Un documento que contiene la geometría y se pueden guardar en un archivo. type: To access the Gui part the currently open (active) document.ActiveDocument myView = Gui.ActiveDocument.ActiveView myDocument = App.Si no tenemos interfaz gráfica de usuario (por ejemplo. la última línea volverá Ninguno. you type: To access the current view. tiene objetos de la aplicación y Gui myDocument = App.

You're Reading a Free Preview

Descarga
scribd
/*********** DO NOT ALTER ANYTHING BELOW THIS LINE ! ************/ var s_code=s.t();if(s_code)document.write(s_code)//-->